using System;
using System.Data;
using MySql.Data.MySqlClient;



namespace ConsoleApplication1
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
    
    /// </summary>
		[STAThread]
		static void Main(string[] args)
		{
      string connStr = "server=localhost; database=test;uid=root;pooling=false";
      MySqlConnection conn = new MySqlConnection( connStr );


      try 
      {
        conn.Open();

      }
      catch (MySqlException ex) 
      {
        Console.WriteLine("Error connecting to the server: " + ex.Message );
      }

      MySqlCommand cmd = new MySqlCommand("select sum(field1) from test", conn); 
      object valor = cmd.ExecuteScalar();
      System.Console.WriteLine("Field 1 : "+valor.GetType().ToString());

      cmd = new MySqlCommand("select sum(field2) from test", conn); 
      valor = cmd.ExecuteScalar();
      System.Console.WriteLine("Field 2 : "+valor.GetType().ToString());

      cmd = new MySqlCommand("select sum(field3) from test", conn); 
      valor = cmd.ExecuteScalar();
      System.Console.WriteLine("Field 3 : "+valor.GetType().ToString());

		}
	}
}
